package ru.landgrafhomyak.db.sql_skeleton_0.api.table

import kotlin.jvm.JvmName
import ru.landgrafhomyak.db.sql_skeleton_0.api.misc.Column

public interface Index<OwnerTableUserExtension : Any> {
	@Suppress("INAPPLICABLE_JVM_NAME")
	@get:JvmName("getName")
	public val name: String

	@Suppress("INAPPLICABLE_JVM_NAME")
	@get:JvmName("getTable")
	public val table: Table<OwnerTableUserExtension, *>

	@Suppress("INAPPLICABLE_JVM_NAME")
	@get:JvmName("getColumns")
	public val columns: List<Column<*, *, OwnerTableUserExtension>>
}